Article ID: 5903, created on Dec 24, 2008, last review on May 11, 2014

  • Applies to:
  • Plesk 9.0 for Linux/Unix

Symptoms

The errors below are shown in logs if try to send email with authorization.

/var/log/messages
-----
Nov 15 12:44:12 servername postfix/smtpd[23804]: sql_sqlite3 plugin prepare SQL statement for query 'SELECT `cmusaslsecretPLAIN` FROM domains d, users u WHERE u.name='admin' and d.name='domain.tld' and d.status=0 and u.status=0 and u.dom_id=d.id;' error: unrecognized token: "`"
-----

/usr/local/psa/var/log/maillog
-----
Nov 15 19:35:00 servername postfix/smtpd[24559]: connect from unknown[10.57.1.25]
Nov 15 19:35:01 servername plesk_saslauthd[24561]: listen=6, status=5, dbpath='/plesk/passwd.db', chroot=1, unprivileged=1
Nov 15 19:35:01 servername plesk_saslauthd[24561]: privileges set to (89:89) (effective 89:89)
Nov 15 13:35:01servername plesk_saslauthd[24561]: main cycle started
Nov 15 13:35:01servername plesk_saslauthd[24561]: main cycle iteration
Nov 15 13:35:01 servername plesk_saslauthd[24561]: activity on 1 channel(s)
Nov 15 13:35:01 servername postfix/smtpd[24559]: warning: SASL authentication failure: size read failed
Nov 15 13:35:01 servername postfix/smtpd[24559]: warning: SASL authentication failure: Password verification failed
Nov 15 13:35:01 servername postfix/smtpd[24559]: warning: unknown[10.57.1.25]: SASL PLAIN authentication failed
Nov 15 13:35:01 servername postfix/smtpd[24559]: lost connection after AUTH from unknown[10.57.1.25]
Nov 15 13:35:01servername postfix/smtpd[24559]: disconnect from unknown[10.57.1.25]
Nov 15 13:35:01 servername plesk_saslauthd[24561]: server fatal error: accept: Invalid argument
Nov 15 19:35:01servername postfix/master[9993]: warning: process /usr/libexec/postfix/plesk_saslauthd pid 24561 exit status 1
Nov 15 19:35:01 servername postfix/master[9993]: warning: /usr/libexec/postfix/plesk_saslauthd: bad command startup -- throttling

-----

Resolution

The problem is caused by SQLite3 of version <= 3.2.x.
You should upgrade SQLite3 to version 3.3.0 or higher to resolve the problem.

The problem persists for Parallels Plesk Panel 9.0.0 and will be fixed in next patch.

Additional information

The issue mostly affects operating systems CentOS4 and  RedHatel4 that are shipped with SQLite3 version 3.2.

4f57df935e9acf8d18830757d2346419 a914db3fdc7a53ddcfd1b2db8f5a1b9c 29d1e90fd304f01e6420fbe60f66f838 6ef0db7f1685482449634a455d77d3f4 56797cefb1efc9130f7c48a7d1db0f0c

Email subscription for changes to this article
Save as PDF